python-django-registration (3.3-1) unstable; urgency=medium

  * Team upload.

  [ Stefano Rivera ]
  * New upstream release.
  * Drop all patches, superseded upstream.
  * Bump copyright years.
  * Adjust paths to build tools.
  * Run test suite on all supported Python 3 versions.
  * New Build-Depends: python3-confusable-homoglyphs.

  [ Elena Grandi ]
  * Bump standards-version (no changes needed).
  * Bump compat level.
  * Lintian fixes.
  * Removed unnecessary signatures from the upstream key.
  * Added UMEGAYA.

 -- Elena Grandi <valhalla@debian.org>  Mon, 24 Oct 2022 13:30:38 +0200

python-django-registration (2.2-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stephan Sürken ]
  * Upload to unstable. 2.2-4 has been tested quite some time now
    for both p-d 2.2 and 3.x.
  * Bug fix: "Not compatible with Django 3.x", thanks to Chris Lamb
    (Closes: #961239)

 -- Stephan Sürken <absurd@debian.org>  Mon, 18 Jan 2021 12:16:24 +0100

python-django-registration (2.2-4) experimental; urgency=medium

  "fast patched" (tested for FTBFS fix only) to make this work for
  django 3:

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Stephan Sürken ]
  * [695ec91] patches/series: Add django 3 patch (fixes ftbfs with django
    3).
  * [a06cad2] debian/README.source: Update & fix wording

 -- Stephan Sürken <absurd@debian.org>  Fri, 03 Jan 2020 13:41:53 +0100

python-django-registration (2.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Stephan Sürken ]
  * [efb3729] Add 5 patches to support django 2.2.
  * [e40a11b] control+rules: Drop python 2 support for good (django 2 is
    python 3 only).
  * [24a3b27] README.source: Add more upstream notes (why we can't upgrade
    atm).

 -- Stephan Sürken <absurd@debian.org>  Thu, 18 Jul 2019 15:45:19 +0200

python-django-registration (2.2-2) unstable; urgency=medium

  * [408072b] control: b-d for sphinx: Depend on py3 variants only.
  * [605fa85] control: Update Stds-Ver to 4.1.1.
    * [ba18419] copyright: Switch to recommended https URL.
  * [906967b] Update debhelper to recommended compat level: 9->10 (no
    other changes needed).

 -- Stephan Sürken <absurd@debian.org>  Wed, 04 Oct 2017 11:23:27 +0200

python-django-registration (2.2-1) unstable; urgency=medium

  * New upstream: 2.2
  * Removing patches:
    - send_signal_only_once_when_activating_user.patch
      (see Bug #745756):
      - Upstream won't consider.
      - No response from original submitters if that's still any
        problem.
      - I don't experience problems.
      - Testsuite now fails with that patch applied.
    - update_django_runtest_settings_for_django110.patch:
      - Now upstream.
  * watch: Update to check PGP sig (tofu).
  * README.source: Put some of previously local notes here.
  * copyright: Remove dfsg file exclusion for 'docs/_build'
    (no longer in releases).

 -- Stephan Sürken <absurd@debian.org>  Tue, 29 Nov 2016 11:44:55 +0000

python-django-registration (2.1.2-3) unstable; urgency=medium

  [ Chris Lamb ]
  * [9f8bc14] Add missing Breaks & Replaces clause after -doc split
    (Closes: #836851)

 -- Stephan Sürken <absurd@debian.org>  Thu, 29 Sep 2016 18:09:32 +0000

python-django-registration (2.1.2-2) unstable; urgency=medium

  * [347c14a] rules: Make po cleanup work for multiple packages.
  * [30ea53d] control/rules: Update to dh-python/pybuild, and support
    python3. (Closes: 810782)
  * [32a1cd3] Add additional *-doc package for documentation (Updating
    Stds-Vers to 3.9.8).
  * [097c8d1] debian/docs: Remove file (apparently not used).

 -- Stephan Sürken <absurd@debian.org>  Wed, 24 Aug 2016 12:29:48 +0000

python-django-registration (2.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Stephan Sürken ]
  * [1cbf9c5] Import python-django-registration_2.1.2.orig.tar.gz
  * [bc4a9ed] Add patch: Update django runtest settings for
    django 1.10 (works >= 1.8). (Closes: 828672)
  * [63bc489] README.source: Add note not to use the release tarballs from
    github.

 -- Stephan Sürken <absurd@debian.org>  Fri, 29 Jul 2016 19:10:33 +0000

python-django-registration (2.0.4-1) unstable; urgency=medium

  [ Stephan Sürken ]
  * Bug fix: "Uses wrong uid encoding (uidb36 vs. uidb64) in auth_url.py
    for django >= 1.6 (breaks reset password URLs)" (Closes: #775363).
    [This is actually fixed by upstream 2.0.4 now, patch is dropped]

  [ Raphaël Hertzog ]
  * Drop myself from Uploaders.

  [ Stephan Sürken ]
  * Re-order patches.
  * Removed patches (obsoleted by 2.0.4):
     fix-test-suite.patch
     django-1.7-compat.patch
     more-django-1.7-fixes.patch
     django-1.6-uid-encoding.patch

  * New upstream: 2.0.4  (Closes: #797208, #806182).
  * [d8b6d77] rules: Update testsuite calling for 2.0.4.
  * [5849911] copyright: Update: Upstream URL, copyright years/authors.
  * [e880ef4] control: Update homepage URL.
  * [0953a11] control: Hardening django deps >= 1.7 (2.0.4 upstream
    officially supports 1.7+).
  * [7b458f1] control: Standards-Version: 3.9.5 -> 3.9.6 (no changes
    needed).
  * [0a279b2] control: Remove 'upstream unmaintained' warning.
  * [168b32d] fixup! rules: Update testsuite calling for 2.0.4.
  * [0d22a76] control: Update depends syntax to one depends per line.
  * [8b3f6f8] control: Add missing b-d-indep: python-setuptools.
  * [eaa00e5] control: Add missing b-d-indep: python-sphinx-rtd-theme
    (primarily needed for backports: older sphinx versions do not have
    this dependency)

 -- Stephan Sürken <absurd@debian.org>  Mon, 11 Jan 2016 14:50:31 +0000

python-django-registration (1.0+dfsg-2) unstable; urgency=medium

  * Fix and enable the test suite with fix-testsuite.patch. Ensure
    it works with Django 1.6.
  * Apply two patches for Django 1.7 compatibility:
    - django-1.7-compat.patch grabbed in an upstream pull request
    - more-django-1.7-fixes.patch authored by myself
    Closes: #755653

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 06 Aug 2014 23:46:28 +0200

python-django-registration (1.0+dfsg-1) unstable; urgency=medium

  * Drop David Spreen from Uploaders. Closes: #738931
  * Add send_signal_only_once_when_activating_user.patch submitted
    by Mark Caglienzi <mark.caglienzi@gmail.com>. Closes: #745756
  * Update debian/copyright to follow new copyright format.
  * Repack upstream tarball to drop docs/_build/ containing javascript
    files without sources.
  * Update Standards-Version to 3.9.5
  * Update debhelper compat level to 9.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 27 May 2014 14:23:29 +0200

python-django-registration (1.0-1) unstable; urgency=low

  * New stable upstream.
  * Update to Std.-Ver. 3.9.4 (no changes needed).

 -- Stephan Sürken <absurd@debian.org>  Mon, 01 Jul 2013 14:36:29 +0200

python-django-registration (0.9~b0+hg440+ab1-2) unstable; urgency=low

  * control: django dependency must now be >= 1.4.

 -- Stephan Sürken <absurd@debian.org>  Tue, 04 Jun 2013 14:09:47 +0200

python-django-registration (0.9~b0+hg440+ab1-1) unstable; urgency=low

  * New self-created upstream from hg tip 440:
    - Make setup also work with django 1.4.
  * Upload to unstable.

 -- Stephan Sürken <absurd@debian.org>  Sun, 02 Jun 2013 14:26:51 +0200

python-django-registration (0.9~b0+hg440-1~exp1) experimental; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Stephan Sürken ]
  * New self-created upstream from hg tip 440:
    - Updates for django 1.5 (Closes: #709622).
  * control: Add myself to Uploaders.
  * No feedback from upstream yet, hence experimental for now.

 -- Stephan Sürken <absurd@debian.org>  Fri, 31 May 2013 16:32:44 +0200

python-django-registration (0.8-2) unstable; urgency=low

  * Drop docs/_build entirely on clean so that we don't keep around
    docs/_build/doctrees which might not work with python3-sphinx.
    Closes: #697721

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 10 Jan 2013 09:44:11 +0100

python-django-registration (0.8-1) unstable; urgency=low

  * New upstream release.
    - Now fully compatible with Django 1.4 which is in Debian Wheezy.
    - No longer use the deprecated "sha" module. Closes: #581721
  * Update Standards-Version to 3.9.3.
  * Replace python-docutil build-dependency by one on python-sphinx to be able
    to generate the HTML documentation with the new upstream makefile.
  * Update the dh_auto_build override to include the "make html" call
    that generates the documentation and create
    debian/python-django-registration.docs to install the generated
    documentation.
  * Create a dh_auto_clean override to remove the (upstream provided and)
    generated documentation in docs/_build/html.
  * Use dh_sphinxdoc to get rid of embedded javascript files that sphinx-build
    generates. Add accordingly ${sphinxdoc:Depends} to Depends.
  * Update the doc-base registration to use the new path for the HTML
    documentation.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 10 Jul 2012 16:04:20 +0200

python-django-registration (0.7-3) unstable; urgency=low

  * Provide README.Debian in place of upstream's README.txt. Closes: #646589
  * Switch to dh_python2 instead of python-support.
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.2 (no change needed)
  * Update URL in copyright file.
  * Drop the article in the description (lintian warning).
  * Update Vcs-Browser URL to point to the new location at anonscm.debian.org

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 02 Nov 2011 11:43:40 +0100

python-django-registration (0.7-2) unstable; urgency=low

  * Add accent on my name in debian/control.
  * Change build-depends on python-dev to python.
  * Switch to source format "3.0 (quilt)".
  * Switch to debhelper 7 tiny rules file and compat mode 7.
  * Upgrade Standards-Version to 3.8.3.
  * Dropped useless debian/pycompat.
  * Add missing ${misc:Depends} on Depends line.
  * Register documentation with doc-base.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 27 Jan 2010 16:09:24 +0100

python-django-registration (0.7-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Stephan Peijnik ]
  * New upstream release.
  * Updated debian/watch to use pypi.python.org as source of new upstream
    tarballs.

  [ Raphael Hertzog ]
  * Update URL in Homepage field to match new upstream site (it moved to
    Bitbucket).
  * Drop 02_overview_rst_fix.patch and 01_validators_removed.patch as they got
    merged upstream.
  * delete_expired_users.py does no more exist. It has been replaced with a
    manage.py sub-command (manage.py cleanupregistration) that you can invoke
    within any project using django-registration.
  * Drop .po files from binary package.

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 12 Nov 2008 10:06:06 +0100

python-django-registration (0.6-3) unstable; urgency=low

  * Modified package to use quilt patchsys (requested by Raphael Hertzog).
  * Added myself to Uploaders.
  * Moved package to unstable, as it is compatible with the version of
    python-django in unstable.
  * debian/control:
    - Updated dependency on python-django (>= 1.0).
    - Removed Prority: optional from binary package.
  * debian/rules:
    - Removed simple-patchsys.mk from includes.
    - Added patchsys-quilt.mk to includes.
    - Made clean target depend on unpatch.
  * debian/patches/01_validators_removed.patch:
    - Pulled in bugfixes in revisions 167 and 168 from upstream SVN.
      This patch fixes the bug introduced by the removal of
      django.core.validators in python-django 1.0-1. (Closes: #498086)
  * debian/patches/02_overview_rst_fix.patch:
    - Fixes a typo in overview.txt causing rst2html to return an error.
  * Moved delete_expired_users.py script out of site-packages into
    /usr/share/doc/python-django-registration/examples.
  * Added debian/python-django-registration.README.Debian to document
    the delete_expired_users.py change.
  * Documented patches in debian/patches.

 -- Stephan Peijnik <debian@sp.or.at>  Tue, 16 Sep 2008 12:06:09 +0200

python-django-registration (0.6-2) experimental; urgency=low

  * debian/control:
    - added dependency on python-django (>= 1.0~beta1) (Thanks to Raphael
      Hertzog).
  * debian/rules:
    - added call to new compile-messages interface through django-admin.
    - remove ._django.po during clean.

 -- David Spreen <netzwurm@debian.org>  Fri, 22 Aug 2008 12:32:04 -0700

python-django-registration (0.6-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/watch
    - fixed to work with code.google.com

  [ David Spreen ]
  * New upstream SVN snapshot to ensure compatibility with upcoming 1.0
    release of python-django.
  * debian/rules
    - Removed the call to compile-messages since it requires
      experimental django version. This will be added again once
      Django 1.0 enters sid.
  * debian/control:
    - Removed build-dependency on python-django. See above.
    - Depend on python-django (>= 1.0~beta1).
    - Updated policy version.

 -- David Spreen <netzwurm@debian.org>  Thu, 21 Aug 2008 17:39:12 -0700

python-django-registration (0.4p2-1) experimental; urgency=low

  * New upstream release.

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 02 Mar 2008 12:26:25 +0100

python-django-registration (0.4p1-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Raphael Hertzog ]
  * New upstream release.
  * Updated Standards-Version to 3.7.3 (no change).
  * Fix dependency on python-django to really require the experimental
    version. Closes: #460413
  * Move python-django, python-docutils and python-support from Build-Depends
    to Build-Depends-Indep as they are not needed during cleanup.

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 12 Jan 2008 15:58:38 +0100

python-django-registration (0.3p5-1) experimental; urgency=low

  * New upstream release.
  * Drop debian/patches/01_fix_setup_py.patch which got integrated upstream.
  * Generate HTML for new (rst) documentation files.

 -- Raphael Hertzog <hertzog@debian.org>  Mon, 08 Oct 2007 16:43:19 +0200

python-django-registration (0.3p3-1) experimental; urgency=low

  [ Piotr Ożarowski ]
  * XS-Vcs-Browser and Homepage fields added

  [ Raphael Hertzog ]
  * New upstream release.
  * Renamed XS-Vcs* to Vcs-* since they are supported by dpkg now.
  * debian/patches/01_fix_setup_py.patch: Make sure that non *.py files
    like translations are also included. (patch forwarded upstream)
  * Compile translations into *.mo files with the django's make-messages.py.
    Build-Depends on python-django for this.

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 04 Oct 2007 18:23:37 +0200

python-django-registration (0.2-1) experimental; urgency=low

  * Initial release.
  * Upload to experimental because it requires the development version
    of python-django.

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 31 Jul 2007 15:10:52 +0200
